Subject: [PATCH 00/11] Add scons build system

From: Arun Isaac <[email-masked]>
Date: Tue, 28 Nov 2017 22:36:40 +0530

Here is a new patchset with all suggested changes incorporated.

> Make sure to add a line break (@*) after George's name.

Done.

> I would say SCons instead of 'scons', and anywhere we refer to SCons as a
> project rather than a particular program. This is mostly in the manual,
> comments, docstrings, etc.

Done.

> Is there a particular reason we use a Python 2 variant of SCons? If so, can
> you explain it in a code comment?

I have now added a new #:scons parameter so that each package can specify the
version of SCons that is required. This is much like the #:python parameter in
the python build system. I have mentioned the #:scons parameter in the manual
as well.

> Right. Arun, I'm not sure how to apply this flag with Scons. Do we just
> pass it to scons-flags? I can try it on my system with lots of storage
> space.

For mongodb, I have passed "-g0" to scons using "CXXFLAGS=-g0". Now, the build
seems to progress farther, but I still run out of memory. Could you test the
package on your machine?

Arun Isaac (11):
  gnu: scons: Update to 3.0.1.
  build-system: Add scons-build-system.
  gnu: linuxdcpp: Use scons-build-system.
  gnu: gpick: Use scons-build-system.
  gnu: serf: Use scons-build-system.
  gnu: metabat: Use scons-build-system.
  gnu: godot: Use scons-build-system.
  gnu: pingus: Use scons-build-system.
  gnu: klick: Use scons-build-system.
  gnu: mongodb: Use scons-build-system.
  gnu: pingus: Use HTTPS for home page.

 Makefile.am                       |   3 +
 doc/guix.texi                     |  16 ++++-
 gnu/packages/bioinformatics.scm   |  30 +++------
 gnu/packages/databases.scm        |  15 +++--
 gnu/packages/direct-connect.scm   |  25 ++-----
 gnu/packages/game-development.scm |  45 ++++++-------
 gnu/packages/games.scm            |  14 ++--
 gnu/packages/image.scm            |  20 ++----
 gnu/packages/music.scm            |  21 ++----
 gnu/packages/python.scm           |  13 ++--
 gnu/packages/web.scm              |  37 +++--------
 guix/build-system/scons.scm       | 134 ++++++++++++++++++++++++++++++++++++++
 guix/build/scons-build-system.scm |  65 ++++++++++++++++++
 13 files changed, 297 insertions(+), 141 deletions(-)
 create mode 100644 guix/build-system/scons.scm
 create mode 100644 guix/build/scons-build-system.scm

-- 
2.15.0